Mono.Addins 0.4.0.0 1.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class) To be added.

This attribute can be applied to an ExtensionNode subclass to specify the default name and description. This information will be used when an extension point does not define a name or description for a node type.

`[ExtensionNode ("ToolbarItem", "Declares a new item of a toolbar.")] public class ToolbarItemNode: ExtensionNode { [NodeAttribute] string icon; [NodeAttribute] string label; public string Icon { get { return icon; } } public string Label { get { return label; } } }`
- Constructor
  Initializes a new instance.
  0.4.0.0
- Constructor
  Default name of the extension node.
  Initializes a new instance.
  0.4.0.0
- Constructor
  Default name of the extension node.
  Default description of the extension node.
  Initializes a new instance.
  0.4.0.0
- Property
  System.String Default description of the extension node. Description of the node. To be added. 0.4.0.0
- Property
  System.String Default name of the extension node. The name. Name of the node type. When an element is added to an extension point, its name must match one of the declared node types. 0.4.0.0